const { getHotSearch,getSearch } = require("../../api/index.js")

Page({
    /**
     * 页面的初始数据1
     */
    data: {
        search:"",
        hotSearch:[],
        value:"",
        goodsData:[]
    },
    /**
     * 生命周期函数--监听页面加载2
     */
    onLoad(options) {
        getHotSearch().then(res =>{//获取热点搜索函数
            this.setData({
                hotSearch:res.data.data.result//搜索数据结果
            })
        })
    },
    // 内容改变3
    onChange(e){//内容展示函数
        this.setData({
            value:e.detail//获取值
        })
    },

    /**
     *  展示搜索数据，在goods页面展示4
     *      1. 在搜索页面通过网络请求获取数据，传递到goods页面显示5
     *      2. 在搜索页面将搜索的关键字传递到goods页面，在goods页面做网络请求6
     */

    // 实现搜索7
    onSearch(){//搜索函数
        this.http(this.data.value)//10
    },
    onSearchCliclk(){//搜索点击函数
        this.http(this.data.value)//11
    },
    /**
     * 获取热门关键字8
     */
    clickGetKeyWords(e){
        this.http(e.currentTarget.dataset.hotkey)//使用this
    },
    http(search){
        getSearch({search}).then(res =>{
            if(!res.data.msg){
                // 序列化9
                let goods = JSON.stringify(res.data.data)
                wx.navigateTo({
                    url: '/pages/goods/goods?goodsData=' + goods,//给出跳转网址
                })
            }else{
                wx.showToast({
                  title: res.data.msg,//获取记录搜索结果总数
                })
            }
        })
    }
})